package com.chilunyc.fumao.api.customer;

import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.place.model.Coupon;
import com.chilunyc.fumao.place.request.coupon.CouponPageRequest;
import com.chilunyc.fumao.place.service.CouponService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 *
 */
@Log4j
@Api(description = "优惠券")
@RestController
@RequestMapping("/customer/{cid}/coupon")
class CouponController {

    @Autowired
    CouponService couponService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<Coupon>> page(@RequestBody CouponPageRequest request) {
        Page<Coupon> page = couponService.page(request);
        return JsonResponse.success(page);
    }

    @ApiOperation(value = "详情")
    @ApiImplicitParams({
    })
    @RequestMapping(value = "/find/{id}", method = RequestMethod.GET)
    JsonResponse<Coupon> info(@PathVariable Long id) {
        Coupon couponResponse = couponService.find(id);
        return JsonResponse.success(couponResponse);
    }

    @ApiOperation(value = "所有")
    @ApiImplicitParams({
    })
    @RequestMapping(value = "/find/all", method = RequestMethod.POST)
    JsonResponse<List<Coupon>> all() {
        return JsonResponse.success();
    }
}