package com.chilunyc.fumao.api.customer;

import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.shiro.AuthRoles;
import com.chilunyc.fumao.company.model.PlaceAdmin;
import com.chilunyc.fumao.place.model.Customer;
import com.chilunyc.fumao.place.request.customer.CustomerEditRequest;
import com.chilunyc.fumao.place.request.customer.CustomerPageRequest;
import com.chilunyc.fumao.place.service.CustomerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 *
 */
@Log4j
@Api(description = "顾客")
@RestController
@RequestMapping("/customer/{cid}/customer")
class CustomerController {

    @Autowired
    CustomerService customerService;

    @ApiOperation(value = "详情")
    @ApiImplicitParams({
    })
    @RequestMapping(value = "/find/{id}", method = RequestMethod.GET)
    JsonResponse<Customer> info(PlaceAdmin placeAdmin, @PathVariable Long id) {
        Customer customerResponse = customerService.find(id);
        return JsonResponse.success(customerResponse);
    }

}