package com.chilunyc.fumao.api.customer;

import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.company.model.Place;
import com.chilunyc.fumao.company.request.place.PlacePageRequest;
import com.chilunyc.fumao.company.service.PlaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@Log4j
@Api(description = "商场")
@RestController
@RequestMapping("/customer/{cid}/place")
class PlaceController {

    @Autowired
    PlaceService placeService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<Place>> page(@RequestBody PlacePageRequest request) {
        Page<Place> page = placeService.page(request);
        return JsonResponse.success(page);
    }


}