package com.chilunyc.fumao.api.customer;

import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.place.model.Shop;
import com.chilunyc.fumao.place.request.shop.ShopPageRequest;
import com.chilunyc.fumao.place.service.ShopService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

/**
 *
 */
@Log4j
@Api(description = "商铺")
@RestController
@RequestMapping("/customer/{cid}/shop")
class ShopController {

    @Autowired
    ShopService shopService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<Shop>> page(@RequestBody ShopPageRequest request) {
        Page<Shop> page = shopService.page(request);
        return JsonResponse.success(page);
    }

    @ApiOperation(value = "详情")
    @ApiImplicitParams({
    })
    @RequestMapping(value = "/find/{id}", method = RequestMethod.GET)
    JsonResponse<Shop> info(@PathVariable Long id) {
        Shop shopResponse = shopService.find(id);
        return JsonResponse.success(shopResponse);
    }


}