package com.chilunyc.fumao.api.place;

import com.chilunyc.fumao.bi.model.CouponPv;
import com.chilunyc.fumao.bi.request.couponPv.CouponPvPageRequest;
import com.chilunyc.fumao.bi.service.CouponPvService;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.shiro.AuthRoles;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 *
 */
@Log4j
@Api(description = "优惠券数据")
@RestController
@RequestMapping("/place/coupon/pv")
@PreAuthorize(AuthRoles.PlaceAdminExp + " OR " + AuthRoles.PlaceDataExp)
class CouponPvController {

    @Autowired
    CouponPvService couponPvService;


    @ApiOperation(value = "分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find", method = RequestMethod.POST)
    JsonResponse<Page<CouponPv>> page(@RequestBody CouponPvPageRequest request) {
        Page<CouponPv> page = couponPvService.page(request);
        return JsonResponse.success(page);
    }


}