package com.chilunyc.fumao.api.place;

import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.response.NodeResponse;
import com.chilunyc.fumao.common.shiro.AuthRoles;
import com.chilunyc.fumao.company.model.PlaceAdmin;
import com.chilunyc.fumao.company.model.PlaceFloor;
import com.chilunyc.fumao.company.request.placeFloor.PlaceFloorPageRequest;
import com.chilunyc.fumao.company.service.PlaceFloorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 *
 */
@Log4j
@Api(description = "商场楼层")
@RestController
@RequestMapping("/place/floor")
@PreAuthorize(AuthRoles.PlaceAdminExp + " OR " + AuthRoles.PlaceMerchantExp)
class PlaceFloorController {

    @Autowired
    PlaceFloorService placeFloorService;


    @ApiOperation(value = "所有")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "request", required = true, paramType = "body", dataType = "PageRequest")
    })
    @RequestMapping(value = "/find/group", method = RequestMethod.GET)
    JsonResponse< List<NodeResponse>> group(PlaceAdmin placeAdmin, PlaceFloorPageRequest request) {
        request.setPlaceId(placeAdmin.getPlaceId());
        return JsonResponse.success(placeFloorService.group(request));
    }


}