package com.chilunyc.fumao.api.place;

import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.company.model.PlaceAdmin;
import com.chilunyc.fumao.place.model.PlaceSetting;
import com.chilunyc.fumao.place.model.enums.PlaceSettingType;
import com.chilunyc.fumao.place.request.placeSetting.PlaceSettingEditRequest;
import com.chilunyc.fumao.place.service.PlaceSettingService;
import io.swagger.annotations.Api;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *
 */
@Log4j
@Api(description = "商场配置")
@RestController
@RequestMapping("/place/setting")
class PlaceSettingController {

    @Autowired
    PlaceSettingService placeSettingService;


    @RequestMapping(value = "/get/{type}", method = RequestMethod.GET)
    JsonResponse<String> get(PlaceAdmin placeAdmin, @PathVariable PlaceSettingType type) {
        PlaceSetting placeSetting = placeSettingService.get(placeAdmin.getPlaceId(), type);
        return JsonResponse.success(placeSetting == null ? null : placeSetting.getValue());
    }

    @RequestMapping(value = "/set", method = RequestMethod.POST)
    JsonResponse set(PlaceAdmin placeAdmin, @RequestBody PlaceSettingEditRequest request) {
        request.setPlaceId(placeAdmin.getPlaceId());
        placeSettingService.set(request);
        return JsonResponse.success();
    }
}