package com.chilunyc.fumao.controller.common;

import com.chilunyc.fumao.common.context.LoginUser;
import com.chilunyc.fumao.common.response.JsonResponse;
import com.chilunyc.fumao.common.upload.response.UploadResponse;
import com.chilunyc.fumao.common.upload.service.UploadService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@Api(description = "上传服务")
@RestController
@RequestMapping("/upload")
class UploadController {

    @Autowired
    UploadService uploadService;

    /**
     * @return
     */
    @ApiOperation(value = "获取上传凭证")
    @RequestMapping(value = "", method = RequestMethod.GET)
    ResponseEntity<JsonResponse<UploadResponse>> index(LoginUser loginUser) {
        return ResponseEntity.ok(JsonResponse.success(uploadService.getAuth()));
    }
}
