# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.7.21)
# Database: f_system
# Generation Time: 2018-07-30 13:27:21 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table fumao_client_pv
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_client_pv`;

CREATE TABLE `fumao_client_pv` (
  `id` bigint(20) NOT NULL,
  `coupon_count` bigint(9) DEFAULT NULL COMMENT '领取量',
  `coupon_customer_count` bigint(9) DEFAULT NULL COMMENT '领取人数',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `pv` bigint(9) DEFAULT NULL COMMENT 'pv',
  `uv` bigint(9) DEFAULT NULL COMMENT 'uv',
  `write_off_count` bigint(9) DEFAULT NULL COMMENT '核销量',
  `write_off_customer_count` bigint(9) DEFAULT NULL COMMENT '核销人数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_company
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company`;

CREATE TABLE `fumao_company` (
  `id` bigint(64) NOT NULL,
  `address` varchar(64) DEFAULT NULL COMMENT '地址',
  `area` varchar(10) DEFAULT NULL COMMENT '区域',
  `city` varchar(10) DEFAULT NULL COMMENT '城市',
  `create_time` datetime DEFAULT NULL,
  `lat` varchar(12) DEFAULT NULL COMMENT '经度',
  `lng` varchar(12) DEFAULT NULL COMMENT '纬度',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `poi` varchar(64) DEFAULT NULL COMMENT 'POI',
  `province` varchar(10) DEFAULT NULL COMMENT '省份',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_company_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company_admin`;

CREATE TABLE `fumao_company_admin` (
  `id` bigint(64) NOT NULL,
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  `origin_password` varchar(32) DEFAULT NULL COMMENT '初始密码',
  PRIMARY KEY (`id`),
  KEY `company_admin_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_company_apply
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_company_apply`;

CREATE TABLE `fumao_company_apply` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `market` text COMMENT '备注',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '集团名称',
  `proposer` varchar(64) DEFAULT NULL COMMENT '申请人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_coupon
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_coupon`;

CREATE TABLE `fumao_coupon` (
  `id` bigint(20) NOT NULL,
  `amount` double(9,2) DEFAULT NULL COMMENT '面额',
  `cover` text COLLATE utf8mb4_unicode_ci COMMENT '封面',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `description` text COLLATE utf8mb4_unicode_ci COMMENT '使用须知',
  `kind` int(1) DEFAULT NULL COMMENT '类型',
  `max_num` text COLLATE utf8mb4_unicode_ci COMMENT '限领',
  `merchant_id` bigint(64) DEFAULT NULL COMMENT '商户',
  `open_end` date DEFAULT NULL COMMENT '发放结束日期',
  `open_from` date DEFAULT NULL COMMENT '发放开始日期',
  `place_id` bigint(64) DEFAULT NULL COMMENT '商场',
  `remain` int(9) DEFAULT NULL COMMENT '剩余库存',
  `require_amount` double(9,2) DEFAULT NULL COMMENT '售价',
  `send_way` int(1) DEFAULT NULL COMMENT '发劵方式',
  `status` int(1) DEFAULT NULL COMMENT '状态',
  `stock` int(9) DEFAULT NULL COMMENT '库存',
  `sub_title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '副标题',
  `title` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  `valid_day` text COLLATE utf8mb4_unicode_ci COMMENT '有效日',
  `valid_end` date DEFAULT NULL COMMENT '有效结束日期',
  `valid_from` date DEFAULT NULL COMMENT '有效开始日期',
  PRIMARY KEY (`id`),
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_coupon_pv
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_coupon_pv`;

CREATE TABLE `fumao_coupon_pv` (
  `id` bigint(20) NOT NULL,
  `coupon_count` bigint(9) DEFAULT NULL COMMENT '领取量',
  `coupon_customer_count` bigint(9) DEFAULT NULL COMMENT '领取人数',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `pv` bigint(9) DEFAULT NULL COMMENT 'pv',
  `uv` bigint(9) DEFAULT NULL COMMENT 'uv',
  `write_off_count` bigint(9) DEFAULT NULL COMMENT '核销量',
  `write_off_customer_count` bigint(9) DEFAULT NULL COMMENT '核销人数',
  `coupon_kind` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '优惠券类型',
  `coupon_name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '优惠券名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_customer
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_customer`;

CREATE TABLE `fumao_customer` (
  `id` bigint(20) NOT NULL,
  `address` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '住址',
  `birth` date DEFAULT NULL COMMENT '出生日期',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `education` text COLLATE utf8mb4_unicode_ci COMMENT '学历',
  `email` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮箱',
  `mobile` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  `score` int(9) DEFAULT NULL COMMENT '积分',
  `sex` int(1) DEFAULT NULL COMMENT '性别',
  `channel` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '注册渠道',
  PRIMARY KEY (`id`),
  KEY `customer_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_event_log
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_event_log`;

CREATE TABLE `fumao_event_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `content` longtext,
  `create_time` datetime DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `operator` varchar(32) DEFAULT NULL,
  `target` int(11) DEFAULT NULL,
  `target_id` varchar(32) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `event_log_operator` (`operator`),
  KEY `event_log_targetId` (`target_id`),
  KEY `event_log_type` (`type`),
  KEY `event_log_target` (`target`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_merchant
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_merchant`;

CREATE TABLE `fumao_merchant` (
  `id` bigint(20) NOT NULL,
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `image` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '图片',
  `mobile` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '联系方式',
  `name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  PRIMARY KEY (`id`),
  KEY `merchant_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_merchant_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_merchant_admin`;

CREATE TABLE `fumao_merchant_admin` (
  `id` bigint(20) NOT NULL,
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `merchant_id` bigint(64) DEFAULT NULL COMMENT '商户',
  `mobile` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '手机号',
  `name` text COLLATE utf8mb4_unicode_ci COMMENT '名称',
  `origin_password` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '原始密码',
  `password` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '密码',
  `salt` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '盐值',
  PRIMARY KEY (`id`),
  KEY `merchant_admin_mobile` (`mobile`),
  KEY `merchant_admin_merchantId` (`merchant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_place
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place`;

CREATE TABLE `fumao_place` (
  `id` bigint(64) NOT NULL,
  `address` varchar(64) DEFAULT NULL COMMENT '地址',
  `area` varchar(10) DEFAULT NULL COMMENT '区域',
  `city` varchar(10) DEFAULT NULL COMMENT '城市',
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` datetime DEFAULT NULL,
  `depot_area` decimal(9,2) DEFAULT NULL COMMENT '停车场面积',
  `etcp_id` varchar(128) DEFAULT NULL COMMENT 'ETCP',
  `lat` varchar(12) DEFAULT NULL COMMENT '经度',
  `lng` varchar(12) DEFAULT NULL COMMENT '纬度',
  `maiwaidi_id` varchar(128) DEFAULT NULL COMMENT '迈外迪',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `poi` varchar(64) DEFAULT NULL COMMENT 'POI',
  `province` varchar(10) DEFAULT NULL COMMENT '省份',
  `selling_area` decimal(9,2) DEFAULT NULL COMMENT '营业面积',
  `total_area` decimal(9,2) DEFAULT NULL COMMENT '总面积',
  PRIMARY KEY (`id`),
  KEY `market_companyId` (`company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_admin`;

CREATE TABLE `fumao_place_admin` (
  `id` bigint(64) NOT NULL,
  `company_id` varchar(64) DEFAULT NULL COMMENT '集团',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `place_admin_role_id` varchar(64) DEFAULT NULL COMMENT '角色',
  `place_id` varchar(64) DEFAULT NULL COMMENT '集团商场',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  `type` int(1) DEFAULT NULL COMMENT '类型',
  `origin_password` varchar(32) DEFAULT NULL COMMENT '初始密码',
  PRIMARY KEY (`id`),
  KEY `market_admin_mobile` (`mobile`),
  KEY `market_admin_marketId` (`place_id`),
  KEY `market_admin_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_admin_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_admin_permission`;

CREATE TABLE `fumao_place_admin_permission` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `name` varchar(32) DEFAULT NULL COMMENT '名称',
  `place_admin_id` bigint(64) DEFAULT NULL COMMENT '业务管理员',
  `has` int(11) DEFAULT NULL COMMENT '是否有权限',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_place_floor
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_place_floor`;

CREATE TABLE `fumao_place_floor` (
  `id` bigint(64) NOT NULL,
  `area` decimal(9,2) DEFAULT NULL COMMENT '面积',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `floor` varchar(2) DEFAULT NULL COMMENT '楼层',
  `image` text COMMENT '平面图',
  `place_id` varchar(64) DEFAULT NULL COMMENT '商场',
  `tower` varchar(2) DEFAULT NULL COMMENT '几座',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_point_transaction
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_point_transaction`;

CREATE TABLE `fumao_point_transaction` (
  `id` bigint(20) NOT NULL,
  `admin_id` bigint(64) DEFAULT NULL COMMENT '操作人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `customer_id` bigint(64) DEFAULT NULL COMMENT '客户',
  `customer_mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `dest` int(9) DEFAULT NULL COMMENT '现在积分',
  `oper` int(9) DEFAULT NULL COMMENT '操作积分',
  `origin` int(9) DEFAULT NULL COMMENT '原始积分',
  `trade_id` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '订单ID',
  `place_id` bigint(64) DEFAULT NULL COMMENT '操作人',
  PRIMARY KEY (`id`),
  KEY `point_transaction_tradeId` (`trade_id`),
  KEY `point_transaction_customerId` (`customer_id`),
  KEY `point_transaction_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_scene_pv
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_scene_pv`;

CREATE TABLE `fumao_scene_pv` (
  `id` bigint(20) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `parking_count` bigint(9) DEFAULT NULL COMMENT '车辆数',
  `push_count` bigint(9) DEFAULT NULL COMMENT '发劵量',
  `write_off_count` bigint(9) DEFAULT NULL COMMENT '核销数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_shop
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_shop`;

CREATE TABLE `fumao_shop` (
  `id` bigint(20) NOT NULL,
  `address` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '地址',
  `city` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '城市',
  `cover` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '封面',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `floor` bigint(64) DEFAULT NULL COMMENT '楼层',
  `lat` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '经度',
  `lng` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '纬度',
  `merchant_id` bigint(64) DEFAULT NULL COMMENT '商户',
  `number` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '商铺号',
  `place_id` bigint(64) DEFAULT NULL COMMENT '商场',
  `poi` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'POI',
  `selling_area` double(9,2) DEFAULT NULL COMMENT '营业面积',
  `total_area` double(9,2) DEFAULT NULL COMMENT '建筑面积',
  `area` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '城市',
  `province` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '城市',
  PRIMARY KEY (`id`),
  KEY `shop_number` (`number`),
  KEY `shop_merchantId` (`merchant_id`),
  KEY `shop_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table fumao_shop_apply
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_shop_apply`;

CREATE TABLE `fumao_shop_apply` (
  `id` bigint(64) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `market` text COMMENT '备注',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '商铺名称',
  `proposer` varchar(64) DEFAULT NULL COMMENT '申请人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_sms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_sms`;

CREATE TABLE `fumao_sms` (
  `id` bigint(64) NOT NULL,
  `check_count` int(11) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `expired_time` datetime DEFAULT NULL,
  `is_check` bit(1) DEFAULT NULL,
  `mark` varchar(255) DEFAULT NULL,
  `mobile` varchar(11) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_system_admin
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_system_admin`;

CREATE TABLE `fumao_system_admin` (
  `id` bigint(20) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `name` varchar(64) DEFAULT NULL COMMENT '名称',
  `password` varchar(32) DEFAULT NULL COMMENT '密码',
  `salt` varchar(32) DEFAULT NULL COMMENT '盐值',
  PRIMARY KEY (`id`),
  KEY `system_admin_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fumao_trade
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fumao_trade`;

CREATE TABLE `fumao_trade` (
  `id` bigint(20) NOT NULL,
  `amount` decimal(9,2) DEFAULT NULL COMMENT '面额',
  `coupon_id` bigint(64) DEFAULT NULL COMMENT '优惠券',
  `coupon_name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '优惠券名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `customer_id` bigint(64) DEFAULT NULL COMMENT '客户',
  `expired_time` date DEFAULT NULL COMMENT '过期时间',
  `merchant_id` bigint(64) DEFAULT NULL COMMENT '商户',
  `pay_time` date DEFAULT NULL COMMENT '支付时间',
  `place_id` bigint(64) DEFAULT NULL COMMENT '商场',
  `require_amount` decimal(9,2) DEFAULT NULL COMMENT '金额',
  `shop_id` bigint(64) DEFAULT NULL COMMENT '商铺',
  `status` int(1) DEFAULT NULL COMMENT '状态',
  `use_time` date DEFAULT NULL COMMENT '使用时间',
  PRIMARY KEY (`id`),
  KEY `trade_couponId` (`coupon_id`),
  KEY `trade_customerId` (`customer_id`),
  KEY `trade_shopId` (`shop_id`),
  KEY `trade_merchantId` (`merchant_id`),
  KEY `trade_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `fumao_bi_customer_register`;
CREATE TABLE `fumao_bi_customer_register` (
  `id` bigint(20) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `register_count` bigint(9) DEFAULT NULL COMMENT '注册量',
  `total` bigint(9) DEFAULT NULL COMMENT '总量',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `fumao_bi_trade`;
CREATE TABLE `fumao_bi_trade` (
  `id` bigint(20) NOT NULL,
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `today` bigint(9) DEFAULT NULL COMMENT '今日',
  `today_cash` decimal(9,2) DEFAULT NULL COMMENT '今日金额',
  `total` bigint(9) DEFAULT NULL COMMENT '总量',
  `total_cash` decimal(9,2) DEFAULT NULL COMMENT '消费金额',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `fumao_place_setting`;
CREATE TABLE `fumao_place_setting` (
  `id` bigint(20) NOT NULL,
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `place_id` bigint(64) DEFAULT NULL COMMENT '商场',
  `type` int(1) DEFAULT NULL COMMENT '类型',
  `value` text COLLATE utf8mb4_unicode_ci COMMENT '数值',
  PRIMARY KEY (`id`),
  KEY `place_setting_placeId` (`place_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `fumao_tag`;
CREATE TABLE `fumao_tag` (
  `id` bigint(20) NOT NULL,
  `cate` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '组',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `name` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  `target_id` bigint(64) DEFAULT NULL COMMENT '目标',
  `value` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '数值',
  PRIMARY KEY (`id`),
  KEY `tag_name` (`name`),
  KEY `tag_cate` (`cate`),
  KEY `tag_targetId` (`target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `fumao_bi_customer_login`;
CREATE TABLE `fumao_bi_customer_login` (
  `id` bigint(20) NOT NULL,
  `channel` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '渠道',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `customer_id` bigint(64) DEFAULT NULL COMMENT '会员',
  `ip` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'IP',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `fumao_coupon_channel`;
CREATE TABLE `fumao_coupon_channel` (
  `id` bigint(20) NOT NULL,
  `cate` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '分类',
  `channel` int(1) DEFAULT NULL COMMENT '渠道',
  `coupon_id` bigint(64) DEFAULT NULL COMMENT '优惠卷',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `place_id` bigint(64) DEFAULT NULL COMMENT '商场',
  PRIMARY KEY (`id`),
  KEY `coupon_channel_couponId` (`coupon_id`),
  KEY `coupon_channel_channel` (`channel`),
  KEY `coupon_channel_placeId` (`place_id`),
  KEY `coupon_channel_cate` (`cate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
