package com.chilunyc.fumao.bi.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_bi_customer_login", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class BiCustomerLogin implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(length = 64)
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 会员
     */
    @Column(columnDefinition = "bigint(64) comment '会员'")
    private Long customerId;

    /**
     * IP
     */
    @Column(columnDefinition = "varchar(20) comment 'IP'")
    private String ip;

    /**
     * 渠道
     */
    @Column(columnDefinition = "varchar(16) comment '渠道'")
    private String channel;

    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "date comment '创建时间'")
    private Date createTime;
}
