package com.chilunyc.fumao.bi.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_bi_trade", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class BiTrade implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(length = 64)
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     * 总量
     */
    @Column(columnDefinition = "bigint(9) comment '总量'")
    private Long total;

    /**
     * 今日
     */
    @Column(columnDefinition = "bigint(9) comment '今日'")
    private Long today;

    /**
     * 消费金额
     */
    @Column(columnDefinition = "decimal(9,2) comment '消费金额'")
    private Double totalCash;

    /**
     * 今日金额
     */
    @Column(columnDefinition = "decimal(9,2) comment '今日金额'")
    private Double todayCash;

    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "date comment '创建时间'")
    private Date createTime;
}
