package com.chilunyc.fumao.bi.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Entity
@Table(name = "fumao_coupon_pv", indexes = {
})
@EntityListeners(AuditingEntityListener.class)
public class CouponPv implements Serializable {

    /**
     * 编号
     */
    @Id
    @Column(length = 64)
    @GeneratedValue(generator = "custom")
    @GenericGenerator(name = "custom", strategy = "com.chilunyc.fumao.common.util.jpa.CustomIdentifierGenerator", parameters = {@Parameter(name = "type", value = "Number")})
    private Long id;

    /**
     *
     */
    @Column(columnDefinition = "varchar(64) comment '优惠券名称'")
    private String couponName;

    /**
     *
     */
    @Column(columnDefinition = "varchar(64) comment '优惠券类型'")
    private String couponKind;

    /**
     * pv
     */
    @Column(columnDefinition = "bigint(9) comment 'pv'")
    private Long pv;

    /**
     * uv
     */
    @Column(columnDefinition = "bigint(9) comment 'uv'")
    private Long uv;

    /**
     * 领取人数
     */
    @Column(columnDefinition = "bigint(9) comment '领取人数'")
    private Long couponCustomerCount;

    /**
     * 领取量
     */
    @Column(columnDefinition = "bigint(9) comment '领取量'")
    private Long couponCount;

    /**
     * 核销人数
     */
    @Column(columnDefinition = "bigint(9) comment '核销人数'")
    private Long writeOffCustomerCount;

    /**
     * 核销量
     */
    @Column(columnDefinition = "bigint(9) comment '核销量'")
    private Long writeOffCount;

    /**
     * 创建时间
     */
    @CreatedDate
    @Column(columnDefinition = "date comment '创建时间'")
    private Date createTime;
}
