package com.chilunyc.fumao.bi.service;

import com.chilunyc.fumao.bi.model.BiCustomerRegister;
import com.chilunyc.fumao.bi.repository.BiCustomerRegisterRepository;
import com.chilunyc.fumao.bi.request.biCustomerRegister.BiCustomerRegisterPageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 *
 */
@Log4j
@Service
@Transactional
public class BiCustomerRegisterService {

    @Autowired
    private BiCustomerRegisterRepository biCustomerRegisterRepository;


    public Page<BiCustomerRegister> page(BiCustomerRegisterPageRequest request) {
        return biCustomerRegisterRepository.findAll(QueryBuilder.build(request), request.getPage());
    }

    /**
     * @param date
     * @param allCount
     * @return
     */
    public synchronized BiCustomerRegister findByDate(Date date, Long allCount) {
        BiCustomerRegister customerRegister = biCustomerRegisterRepository.findByCreateTime(date);
        if (customerRegister == null) {
            customerRegister = biCustomerRegisterRepository.save(
                    BiCustomerRegister
                            .builder()
                            .createTime(date)
                            .registerCount(0L)
                            .total(allCount)
                            .build()
            );
        }
        return customerRegister;
    }

    public List<BiCustomerRegister> range(Date[] timeRange) {
        return biCustomerRegisterRepository.findByCreateTimeBetween(timeRange[0], timeRange[1]);
    }
}
