package com.chilunyc.fumao.common.db.flyway;

import com.chilunyc.fumao.common.db.config.DBProperties;
import com.zaxxer.hikari.HikariDataSource;
import lombok.extern.log4j.Log4j;
import org.flywaydb.core.Flyway;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

/**
 *  on 2018/7/26.
 */
@Log4j
@Service
public class FlywayService {

    @Autowired
    DBProperties dbProperties;

    public HikariDataSource init(String database, String scripts) {
        HikariDataSource dataSource = dbProperties.getDataSource("");

        // 判断是否创建数据库, 然后关闭
        JdbcTemplate jdbcTemplate = new JdbcTemplate(dataSource);
        if (jdbcTemplate.queryForList(String.format("show databases like '%s'", database)).size() == 0) {
            jdbcTemplate.execute(String.format("CREATE DATABASE `%s` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci", database));
        }
        dataSource.close();


        //
        Flyway flyway = new Flyway();
        flyway.setDataSource(dbProperties.getURL(database), dbProperties.getUser(), dbProperties.getPassword());
        flyway.setLocations(scripts);
        flyway.migrate();

        //
        log.info("主库同步完成, 设置主库成功");
        return dbProperties.getDataSource(database);
    }
}
