package com.chilunyc.fumao.common.upload.config;

import com.aliyun.oss.OSSClient;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 *
 */
@Configuration
@ConditionalOnProperty(name = "aliyun.oss.access-id")
@EnableConfigurationProperties(UploadProperties.class)
public class UploadConfig {

    @Autowired
    private UploadProperties uploadProperties;

    @Bean
    OSSClient ossClient() {
        OSSClient client = null;
        if (StringUtils.isNotBlank(uploadProperties.getAccessId())) {
            client = new OSSClient(uploadProperties.getHost(), uploadProperties.getAccessId(), uploadProperties.getAccessKey());
        }
        return client;
    }
}
