package com.chilunyc.fumao.company.config;

import com.chilunyc.fumao.common.db.datasource.DynamicDataSource;
import com.chilunyc.fumao.common.db.flyway.FlywayService;
import com.chilunyc.fumao.company.model.Company;
import com.chilunyc.fumao.company.repository.CompanyRepository;
import com.chilunyc.fumao.company.service.CompanyService;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;
import java.util.List;

/**
 *  on 2018/7/26.
 */
@Log4j
@Component
public class CompanyConfiguration implements InitializingBean {

    @Autowired
    CompanyRepository companyRepository;

    @Autowired
    FlywayService flywayService;

    @Autowired
    DynamicDataSource dynamicDataSource;

    @Override
    public void afterPropertiesSet() throws Exception {
        //1. 从主库读取集团信息
        List<Company> all = companyRepository.findAll();

        //2. 遍历创建主库
        for (Company company : all) {
            init(company);
        }
    }

    public void init(Company company) {
        String dbName = String.format("f_admin_%s", company.getId());
        DataSource init = flywayService.init(dbName, "classpath:/flyway/company");
        dynamicDataSource.addDataSource(company.getId().toString(), init, false);
        log.info(String.format("集团库初始化 => [ %s ][ %s ]", dbName, company.getName()));
    }
}
