package com.chilunyc.fumao.company.service;

import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.company.model.PlaceAdminPermission;
import com.chilunyc.fumao.company.repository.PlaceAdminRoleRepository;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class PlaceAdminRoleService {


    @Autowired
    private PlaceAdminRoleRepository placeAdminRoleRepository;

    @Autowired
    private EventService eventService;

    public Page<PlaceAdminPermission> page(PageRequest request) {
        return placeAdminRoleRepository.findAll(request.getPage());
    }


    public PlaceAdminPermission find(Long id) {
        PlaceAdminPermission one = placeAdminRoleRepository.findOne(id);
        return one;
    }


    public PlaceAdminPermission edit(PlaceAdminPermission request) {
        request = placeAdminRoleRepository.save(request);
        eventService.add(RequestHolder.get(), EventTarget.Company, EventType.编辑商场管理员角色, request.getId(), request);
        return request;
    }

    public void remove(IdsRequest<Long> request) {
        request
                .getIds()
                .forEach((id) -> {
                    placeAdminRoleRepository.delete(id);
                });
        eventService.add(RequestHolder.get(), EventTarget.Company, EventType.删除商场管理员角色, null, request.getIds());
    }


}
