package com.chilunyc.fumao.company.service;

import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import com.chilunyc.fumao.company.model.ShopApply;
import com.chilunyc.fumao.company.repository.ShopApplyRepository;
import com.chilunyc.fumao.company.request.shopApply.ShopApplyEditRequest;
import com.chilunyc.fumao.company.request.shopApply.ShopApplyPageRequest;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class ShopApplyService {


    @Autowired
    private ShopApplyRepository shopApplyRepository;

    @Autowired
    private EventService eventService;

    public Page<ShopApply> page(ShopApplyPageRequest request) {
        return shopApplyRepository.findAll(QueryBuilder.build(request), request.getPage());
    }


    public ShopApply find(Long id) {
        ShopApply one = shopApplyRepository.findOne(id);
        return one;
    }


    public ShopApply edit(ShopApplyEditRequest request) {
        ShopApply shopApply = new ShopApply();
        shopApply = shopApplyRepository.save(shopApply);
        eventService.add(RequestHolder.get(), EventTarget.Company, EventType.编辑商铺申请, shopApply.getId(), request);
        return shopApply;
    }

    public void remove(IdsRequest<Long> request) {
        request
                .getIds()
                .forEach((id) -> {
                    shopApplyRepository.delete(id);
                });
        eventService.add(RequestHolder.get(), EventTarget.Company, EventType.删除商铺申请, null, request.getIds());
    }


}
