package com.chilunyc.fumao.place.request.shop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ShopEditRequest {

    private Long id;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "经度")
    private String lat;

    @ApiModelProperty(value = "纬度")
    private String lng;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "集团")
    private Long companyId;

    @ApiModelProperty(value = "建筑面积")
    private Double totalArea;

    @ApiModelProperty(value = "营业面积")
    private Double sellingArea;

    @ApiModelProperty(value = "商铺号")
    private String number;

    @ApiModelProperty(value = "楼层")
    private Long floor;

    @ApiModelProperty(value = "封面")
    private String cover;

    @ApiModelProperty(value = "商户")
    private Long merchantId;

    @ApiModelProperty(value = "省份")
    private String[] region;

    @NotBlank(message = "请输入POI")
    @ApiModelProperty(value = "POI")
    private String poi;


    private Long placeId;
}
