package com.chilunyc.fumao.place.service;

import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.util.BeanHelper;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import com.chilunyc.fumao.place.model.Merchant;
import com.chilunyc.fumao.place.repository.MerchantRepository;
import com.chilunyc.fumao.place.request.merchant.MerchantEditRequest;
import com.chilunyc.fumao.place.request.merchant.MerchantPageRequest;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class MerchantService {


    @Autowired
    private MerchantRepository merchantRepository;

    @Autowired
    private EventService eventService;

    public Page<Merchant> page(MerchantPageRequest request) {
        return merchantRepository.findAll(QueryBuilder.build(request), request.getPage());
    }


    public Merchant find(Long id) {
        Merchant one = merchantRepository.findOne(id);
        return one;
    }


    public Merchant edit(MerchantEditRequest request) {
        Merchant merchant = new Merchant();
        BeanHelper.copyProperties(merchant, request);
        merchant = merchantRepository.save(merchant);
        eventService.add(RequestHolder.get(), EventTarget.Place, EventType.编辑商户, merchant.getId(), request);
        return merchant;
    }

    public void remove(IdsRequest<Long> request) {
        request
                .getIds()
                .forEach((id) -> {
                    merchantRepository.delete(id);
                });
        eventService.add(RequestHolder.get(), EventTarget.Place, EventType.删除商户, null, request.getIds());
    }


}
